#include "StdAfx.h"
#include "Application.h"
#include "NotifyWindowView.h"
#include "WindowScriptletPlugin.h"
#include "ScriptletAction.h"

REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("UpdaterConfigAction"),	CScriptletAction<tipupdater::UpdaterConfigAction>);
REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("NotifyWindowUpgradeProgramAction"),	CScriptletAction<tipupdater::NotifyWindowUpgradeProgramAction>);
REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("KeepStartPageAction"),	CScriptletAction<tipupdater::KeepStartPageAction>);
REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("KeepDefaultSearchAction"),	CScriptletAction<tipupdater::KeepDefaultSearchAction>);
REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("NotifyWindowCloseAction"),	CScriptletAction<tipupdater::NotifyWindowCloseAction>);
REGISTER_SCRIPTLETCONTAINER_CREATOR(_T("NotifyWindowPostponeOneWeekAction"),	CScriptletAction<tipupdater::NotifyWindowPostponeOneWeekAction>);


namespace tipupdater
{
TipServiceData *GetService(CComponent *pComponent)
{
	CRootContainer *pRootContainer = pComponent->GetRootContainer();
	if( NULL == pRootContainer )
		return NULL;

	CContainer *container;
	IDataContext *dataContext = pRootContainer->FindDataContext(&container);
	if( NULL == dataContext )
		return NULL;

	IDataContext *service_dataContext = dataContext->GetChild(_T("service"));
	if( NULL == service_dataContext )
		return NULL;

	TipServiceData *service = reinterpret_cast<TipServiceData *>(service_dataContext->GetProperty(_T("helperobject")).uintVal);
	return service;
}

};